Page MenuHomePhabricator

[Bug] [IE 11] Popups settings dialog is offcenter
Closed, ResolvedPublic2 Story Points

Description

Steps to reproduce

  1. Open Internet Explorer 11 and visit Wikipedia
  2. Logout
  3. Hover over a link to a normal page, such as Barack Obama
  4. Click the settings cog

Expected results

  • Settings dialog is centered

Actual results

  • Settings dialog is centered on the upper left corner

Environments observed

  • English beta cluster

Browser Version:

  • IE 11

OS Version:

  • Windows

Device Model:

  • Desktop

Device Language:

  • English

Developer notes

#mwe-popups-settings is position fixed, as is its parent container #mwe-popups-overlay
This seems redundant
Making #mwe-popups-settings position relative seems to solve the problem
This can easily be replicated in browser stack Windows 7/IE11 and there are also developer tools for it.

QA steps

This should be tested on the beta cluster (https://en.wikipedia.beta.wmflabs.org)
This can easily be replicated in browser stack Windows 7/IE11
We'll want to confirm that the settings dialog is centered when opened.
Check Firefox and Chrome and other versions of Internet Explorer/Edge to confirm the positioning is consistent.

Details

Related Gerrit Patches:
mediawiki/extensions/Popups : masterFix IE11 settings dialog centering

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2018, 5:20 PM
ovasileva triaged this task as Normal priority.Apr 12 2018, 3:59 PM
Jdlrobson set the point value for this task to 2.Apr 24 2018, 4:45 PM

Change 434902 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/extensions/Popups@master] Fix IE11 settings dialog centeringt

https://gerrit.wikimedia.org/r/434902

pmiazga claimed this task.May 29 2018, 8:31 AM
pmiazga added a subscriber: Jdrewniak.
pmiazga removed pmiazga as the assignee of this task.May 29 2018, 7:12 PM
pmiazga removed a project: Patch-For-Review.
pmiazga added a subscriber: pmiazga.

Change 434902 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Fix IE11 settings dialog centering

https://gerrit.wikimedia.org/r/434902

Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.

Over to you Anthony! I've added some QA steps!

ovasileva closed this task as Resolved.Jun 28 2018, 10:32 AM
ovasileva added a subscriber: ovasileva.

thanks @ABorbaWMF!